---
title: "Get Webhook"
slug: "get-webhook-2"
updated: 2026-02-11T20:38:32Z
published: 2026-02-11T22:15:21Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fullcast.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

Get/webhook/{webhook_id}

You can view the details of a webhook endpoint via the API.

		
			

To view a webhook, send a GET request to `https://api.copy.ai/api/webhook/&lt;webhook_id&gt;`.

You will receive a response with the details of the webhook.

**For example:**

JSONJSON 

```json
{
	"status": "success",
	"data": {
		"id": "<webhook_id>",
		"url": "<https://mywebsite.com/webhook>",
		"eventType": "workflowRun.completed",
		"workflowId": "<workflow_id>"
	}
}
```

  

		
		
SecurityAPI Key: ApiKeyAuthHeader parameter namex-copy-ai-api-key

Copy.ai API key for authentication

Header parametersx-copy-ai-api-keystringRequired

Path parameterswebhook_idstringRequired

The ID of the webhook

Responses200

Success

<select class='api-response-data' aria-label='Media type'><option value='c154c96c-7550-4aaa-b4bf-c8eaa883ee3f'>application/json</option>
</select>Expand Allobject  statusstring    
dataobject (WebhookData)  idstring    
urlstring    
eventTypestring    
workflowIdstring    

400

Bad Request

404

Not Found

<select class='api-response-data' aria-label='Media type'><option value='32d20a73-5928-439a-8321-fabddb76671a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f2399d45-6685-4511-9577-f8333d067b50'>notFound</option>
</select>notFound

```json
{
  "status": "error",
  "errorCode": "NOT_FOUND"
}
```

object  statusstring    
errorCodestring
